import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程
    addCourse(data) {
        return request({
            url: '/course',
            method: 'post',
            data
        })
    },
    //删除课程
    editCourseDelete(data) {
        return request({
            url: '/course/delete',
            method: 'post',
            data
        })
    },
    //修改课程
    editCourse(data) {
        return request({
            url: '/course/edit',
            method: 'post',
            data
        })
    },
    //查询课程列表
    inquireCourseList(data) {
        return request({
            url: '/course/list',
            method: 'get',
            params: data
        })
    },
    //获取课程详细信息
    obtainCourse(data) {
        return request({
            url: `/course/` + data,
            method: 'get',
        })
    },
}